Create agency post

Create an agency post on Nextdoor. Note that all urls for media attachments or smartlinks must be valid and publicly accessible URLs.

Public Agency Geo Targeting

There are four different post distribution methods we support for Public Agencies.

  1. Entire service area (default)
    1. The post will be distributed to the default service area for the public agency user. Note that a Nextdoor public agency user could be configured with a default area that is different from the entire service area.
  2. Custom boundaries
    1. The post will be distributed to all [group_ids] area(s), please use the Get agency boundary API to get all possible boundaries
  3. Custom neighborhoods
    1. The post will be distributed to all [group_ids] area(s), please use the Get agency neighborhood boundary API to get all possible boundaries
  4. Latitude + Longitude + Radius
    1. The post will be distributed to all neighbrohoods that are in the circle provided by the latitude + longitude point, and radius.

See this section for more information about our data types.

The share_link returned is in the format of https://nextdoor.com/p/{post_share_id}. The post_share_id can be used as an unique identifier for posts created.

This API requires the following scopes:

  • post:write
Body Params
string
required

The text that will appear in the body of the post. Body text cannot be longer than 8,192 bytes/characters.

string

An optional hashtag that will appear in the post. This field cannot contain spaces.

media_attachments
array of strings

An optional list of media attachments that will appear in the post. The limit is 10 attachments

media_attachments
media_alt_texts
array of strings

An optional list of media alt texts that will appear in the media attachments. The list length should match the number of media attachments.

media_alt_texts
float

An optional latitude parameter to target post distribution

float

An optional longitude parameter to target post distribution

string

An optional radius parameter to target post distribution

group_ids
array of int32s

An optional list of group ids that the post will be distributed to

group_ids
string
boolean
Defaults to false

An optional boolean indicating whether to broadcast emergency information to neighbors within the jurisdiction.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json